﻿#language: ru

Функционал: 02_milk_production. Заполнение справочников Склады и Складские ячейки

Сценарий: 02_milk_production. Создание склада Сырцех
	Дано Я подключаюсь под "Администратор"
	И Я создаю склад "milk_prod_Сырцех"

Сценарий: 02_milk_production. Создание склада Нарезка
	И Я создаю склад "milk_prod_Нарезка" с отключенным учетом по доп.единицам

Сценарий: 02_milk_production. Создание склада ПАЦ
	И Я создаю склад "milk_prod_ПАЦ"

Сценарий: 02_milk_production. Создание склада Танк №2
	И Я создаю склад "milk_prod_Танк №2"

Сценарий: 02_milk_production. Создание склада Маслоцех
	И Я создаю склад "milk_prod_Маслоцех"

Сценарий: 02_milk_production. Создание склада Танк №1
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда открылось окно 'Склады'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Склад (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Танк №1'
	И я перехожу к закладке "Емкость склада"
	И в таблице "ЕмкостьСклада" я нажимаю на кнопку 'Добавить'
	И в таблице "ЕмкостьСклада" я нажимаю кнопку выбора у реквизита "Товарная категория"
	Тогда открылось окно 'Товарные категории'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Склад (создание) *'
	И в таблице "ЕмкостьСклада" я активизирую поле "Емкость"
	И в таблице "ЕмкостьСклада" в поле 'Емкость' я ввожу текст '50 000'
	И в таблице "ЕмкостьСклада" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Склад (создание) *' в течение 20 секунд
	Тогда открылось окно 'Склады'
	И я закрываю окно 'Склады'

Сценарий: 02_milk_production. Создание склада Склад с ячейками и контролем
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда открылось окно 'Склады'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Склад (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Склад с ячейками и контролем'
	И из выпадающего списка "Контроль остатков" я выбираю точное значение 'Контролировать'
	И в поле 'Вместимость в местах' я ввожу текст '50'
	И я перехожу к закладке "Адресное хранение"
	И я устанавливаю флаг 'Использовать адресное хранение'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Склад (создание) *' в течение 20 секунд
	Тогда открылось окно 'Склады'
	И я закрываю окно 'Склады'

Сценарий: 02_milk_production. Создание складских ячеек
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'            		      |
		| 'milk_prod_Склад с ячейками и контролем' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Склад с ячейками и контролем (Склад)'	
	И В текущем окне я нажимаю кнопку командного интерфейса 'Складские ячейки'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Складская ячейка (создание)'
	И в поле 'Помещение' я ввожу текст '1'
	И в поле 'Ряд' я ввожу текст '2'
	И в поле 'Стеллаж' я ввожу текст '1'
	И в поле 'Ярус' я ввожу текст '1'
	И в поле 'Вместимость в местах' я ввожу текст '1'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Складская ячейка (создание)' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Склад с ячейками и контролем (Склад)'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Складская ячейка (создание)'
	И в поле 'Помещение' я ввожу текст '1'
	И в поле 'Ряд' я ввожу текст '1'
	И в поле 'Стеллаж' я ввожу текст '1'
	И в поле 'Ярус' я ввожу текст '1'
	И в поле 'Вместимость в местах' я ввожу текст '1'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Складская ячейка (создание)' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Склад с ячейками и контролем (Склад)'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Складская ячейка (создание)'
	И в поле 'Помещение' я ввожу текст '1'
	И в поле 'Ряд' я ввожу текст '3'
	И в поле 'Стеллаж' я ввожу текст '1'
	И в поле 'Ярус' я ввожу текст '1'
	И в поле 'Вместимость в местах' я ввожу текст '1'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Складская ячейка (создание)' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Склад с ячейками и контролем (Склад)'
	И я закрыл все окна клиентского приложения

Сценарий: 02_milk_production. Заполнение в складе складских ячеек
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                 		  |
		| 'milk_prod_Склад с ячейками и контролем' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Склад с ячейками и контролем (Склад)'
	И я перехожу к закладке "Адресное хранение"
	И в поле 'Дата начала адресного хранения остатков' я ввожу текст '01.11.2018'
	И я нажимаю кнопку выбора у поля "Ячейка приемки"
	Тогда открылось окно 'Складские ячейки'
	И в таблице "Список" я перехожу к строке:
		| 'Адрес'   |
		| '1020011' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'milk_prod_Склад с ячейками и контролем (Склад) *'
	И я нажимаю кнопку выбора у поля "Ячейка отгрузки"
	Тогда открылось окно 'Складские ячейки'
	И в таблице "Список" я перехожу к строке:
		| 'Адрес'   |
		| '1030011' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'milk_prod_Склад с ячейками и контролем (Склад) *'
	И я нажимаю кнопку выбора у поля "Ячейка пересчета"
	Тогда открылось окно 'Складские ячейки'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'milk_prod_Склад с ячейками и контролем (Склад) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	Тогда открылось окно 'Склады'
	И я закрываю окно 'Склады'

Сценарий: 02_milk_production. Создание склада Склад с ячейками
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда открылось окно 'Склады'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Склад (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Склад с ячейками'
	И я перехожу к закладке "Адресное хранение"
	И я устанавливаю флаг 'Использовать адресное хранение'
	И я нажимаю на кнопку 'Записать'
	И В текущем окне я нажимаю кнопку командного интерфейса 'Складские ячейки'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Складская ячейка (создание)'
	И в поле 'Помещение' я ввожу текст '1'
	И в поле 'Ряд' я ввожу текст '4'
	И в поле 'Стеллаж' я ввожу текст '1'
	И в поле 'Ярус' я ввожу текст '1'
	И в поле 'Вместимость в местах' я ввожу текст '1'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Складская ячейка (создание)' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Склад с ячейками (Склад)'
	И В текущем окне я нажимаю кнопку командного интерфейса 'Основное'
	И я нажимаю на кнопку 'Перечитать'
	И я нажимаю кнопку выбора у поля 'Ячейка приемки'
	Тогда открылось окно 'Складские ячейки'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'milk_prod_Склад с ячейками (Склад) *'
	И я нажимаю кнопку выбора у поля 'Ячейка отгрузки'
	Тогда открылось окно 'Складские ячейки'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'milk_prod_Склад с ячейками (Склад) *'
	И я нажимаю кнопку выбора у поля 'Ячейка пересчета'
	Тогда открылось окно 'Складские ячейки'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'milk_prod_Склад с ячейками (Склад) *'
	И Я нажимаю на кнопку 'Записать и закрыть'
	Тогда открылось окно 'Склады'
	И я закрываю окно 'Склады'

Сценарий: 02_milk_production. Создание склада Склад ГП
	И Я создаю склад "milk_prod_Склад ГП"

Сценарий: 02_milk_production. Создание склада Бассейн соления
	И Я создаю склад "milk_prod_Бассейн соления"

Сценарий: 02_milk_production. Создание склада Центральный склад
	И Я создаю склад "milk_prod_Центральный склад"

Сценарий: 02_milk_production. Создание склада Сушка
	И Я создаю склад "milk_prod_Сушка"

Сценарий: 02_milk_production. Создание склада СОМ
	И Я создаю склад "milk_prod_СОМ"

Сценарий: 02_milk_production. Создание склада Сыроизготовитель №1
	И Я создаю склад "milk_prod_Сыроизготовитель №1"

Сценарий: 02_milk_production. Создание склада Сыроизготовитель №2
	И Я создаю склад "milk_prod_Сыроизготовитель №2"
	И Я закрыл все окна клиентского приложения